3.2.3网关状态及信息查询能力测试 NetworkInfo接口WiFiMode参数应该增加be

06/17/2025 10:32 - 天驰 王

Status: Closed Start date: 06/17/2025

Priority: Normal Due date:  

Assignee: chuanjia liu % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250616115740_d7fbf75f 复现概率: 100%

Description

步骤：

1.使用postman工具，进入下发命令测试页面，输入网关MAC，输入如下脚本并下发命令，启动网关状态及信息查询能力测试； {

"RPCMethod": "GetPropertyValues",

"ID": "30e06488-efd0-484f-ac63-236061eb802b",

"SequenceId": "1234ABCD",

"ServiceName": "com.ctc.igd1",

"Params": [{

"InterfaceName":"com.ctc.igd1.NetworkInfo",

"ObjectPath": "/com/ctc/igd1/Info/Network",

"Properties": null

}]

}

实际结果：

"WiFiMode": "802.11a/802.11b/802.11g/802.11n/802.11ac/802.11ax"

{

"Ack": "GetPropertyValues",

"ID": "5c1b7a9f-96c8-48dc-bfc8-7a147c25bebd",

"Params": [         {

"InterfaceName": "com.ctc.igd1.NetworkInfo",

"ObjectPath": "/com/ctc/igd1/Info/Network",

"Properties": [                 {

"UPLink": 6

},                 {

"IPv6": 2

},                 {

"VLANbind": 1

},                 {

"WiFiMode": "802.11a/802.11b/802.11g/802.11n/802.11ac/802.11ax"

},                 {

"PONDuration": 66642

},                 {

"PPPOEDuration": 66580

},                 {

"LAN1Status": 0

},                 {

"LAN2Status": 1

},                 {

"LAN3Status": 0

},                 {

"LAN4Status": 0

},                 {

"LAN1TXByte": 0

},                 {

"LAN1RXByte": 0

},                 {

"LAN2TXByte": 568055759

},                 {
"LAN2RXByte": 95637823

},                 {

"LAN3TXByte": 0

},                 {

"LAN3RXByte": 0

},                 {

"LAN4TXByte": 0

},                 {

"LAN4RXByte": 0

},                 {

"WANLinkStatus": "1"

},                 {

"WIFIModuleStatus": "1"

},                 {

"WANConnectionStatus": "Connected"

},                 {

"PPPoEDialReason": "ERROR_NONE"

},                 {

"IPv6_WANConnectionStatus": "Connecting"

},                 {

"IPv6_PPPoEDialReason": "ERROR_NONE"

},                 {

"LANIPAddr": "192.168.1.1"

},                 {

"LANIPv6Addr": "fe80::1"

},                 {

"WANIPAddr": "10.10.100.219"

},                 {

"WANIPv6Addr": "::"

},                 {

"WiFiBytes": 110333649

},                 {

"WiFiTxBytes": 79604191

},                 {

"WiFiRxBytes": 30729458

},                 {

"WANBytes": 727260424

},                 {

"WANTxBytes": 97334647

},                 {

"WANRxBytes": 629925777

},                 {

"CloudCPE_Enable": false

}

]

}

],

"SequenceId": "1234ABCD",

"Status": "0"

}

预期结果：

"WiFiMode": 应该增加802.11be

History

#1 - 06/26/2025 16:56 - 良缘 彭

- Assignee changed from 良缘 彭 to chuanjia liu

#2 - 06/30/2025 10:50 - chuanjia liu

- Status changed from New to Resolved

#3 - 07/01/2025 11:23 - 天驰 王

- Status changed from Resolved to Closed
